package com.trust.ywx.customer;

import com.trust.ywx.customer.common.exception.BizException;
import com.trust.ywx.customer.common.model.manager.request.TempFirmParam;
import com.trust.ywx.customer.common.model.manager.response.TempFirmDto;
import com.trust.ywx.customer.common.model.query.request.SearchFirmParam;
import com.trust.ywx.customer.common.model.PageBean;
import com.trust.ywx.customer.service.manager.TempFirmManagerService;
import com.trust.ywx.customer.service.query.FirmQueryService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;

/**
 * <pre></pre>
 *
 * @文件名称： FirmServiceTests.java
 * @包 路  径： com.trust.ywx.customer
 * @Copyright：北京数字医信责任有限公司 (C) 2022 *
 * @Description:
 * @Version: V1.0
 * @Author： hanzhenchao
 * @Date：2022/6/20 17:19
 * @Modify：
 */

@Slf4j
@SpringBootTest(classes = Application.class)
public class TempFirmServiceTests {
    @Resource
    TempFirmManagerService managerService;
    @Resource
    FirmQueryService queryService;

    @Test
    public void addTest() throws BizException {
        TempFirmParam param = new TempFirmParam();
        param.setAgentClientId("agentId");
        param.setFirmOrgCode("orgCode");
        param.setFirmName("莆田医院2");
        param.setAppIcon("http://url.com");
        param.setFirmPerson("firmPerson");
        param.setFirmEmail("firmEmail");
        param.setFirmPhone("firmPhone");
        param.setAgentSaleId("saleId");
        param.setChannelApp(true);
        param.setChannelSdk(true);
        String clientId = managerService.add(param);
        System.out.println(clientId);
    }



    @Test
    public void updateTest() throws BizException {
        TempFirmParam param = new TempFirmParam();
        param.setClientId("2022062117474932");
        param.setFirmOrgCode("orgCode");
        param.setFirmName("莆田医院2");
        param.setAppIcon("http://url.com");
        param.setFirmPerson("firmPerson");
        param.setFirmEmail("firmEmail");
        param.setFirmPhone("韩振超");
        param.setAgentSaleId("saleId");
        param.setChannelApp(true);
        param.setChannelSdk(true);
        System.out.println(managerService.update(param));
    }

    @Test
    public void auditTest() throws BizException {
        System.out.println(managerService.audit("2022062117474932"));
    }

    @Test
    public void rejectTest() throws BizException {
        System.out.println(managerService.reject("2022062117474932"));
    }

    @Test
    public void delTest(){
        System.out.println(managerService.delete("2022062117474932"));
    }

    @Test
    public void listTest(){
        SearchFirmParam param = new SearchFirmParam();
        PageBean<TempFirmDto> result = queryService.getTempFirmList(param);
        System.out.println(result);
    }
    @Test
    public void getTest(){
        TempFirmDto result = queryService.getTempFirmByClientId("2022062117474932");
        System.out.println(result);
    }
}
